/*-------------------------------------------------------------*/
/* FILE:   PCX.H                                               */
/* DESC:   PCX file header structure                           */
/*-------------------------------------------------------------*/

typedef struct
_pcx_header
     {
     char          manuf;       /* Always eq 10 for Paintbrush */
     char          vers;        /* Version information         */
     char          rle;         /* Run-length encoding (=1)    */
     char          bitpx;       /* Bits per pixel              */
     unsigned      x1;          /* Picture bounds- left        */
     unsigned      y1;          /*                 top         */
     unsigned      x2;          /*                 right       */
     unsigned      y2;          /*                 bottom      */
     unsigned      hres;        /* Display horiz resolution    */
     unsigned      vres;        /* Display vert  resolution    */
     unsigned char rgb[48];     /* Pallete                     */
     char          vmode;       /* (ignored)                   */
     char          nplanes;     /* Number of planes (v2.5=0)   */
     unsigned      bplin;       /* Bytes per line              */
     unsigned      palinfo;     /* Palette Info (1=clr,2=gray) */
     unsigned      shres;       /* Scanner resolution          */
     unsigned      svres;       /*                             */
     char          xtra[54];    /* Extra space (filler)        */
     }
pcx_header;
